/*
	$Id: Twitter.cs 14 2010-01-06 17:27:40Z catwalk $
*/
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Xml.Linq;
using System.Net;
using System.Net.NetworkInformation;
using System.Text;
using System.Text.RegularExpressions;
using System.Web;

namespace Hiyoko.Net.Twitter{
	public static class Twitter{
		public static Collection<User> SearchUsers(string q, int count, int page){
			using(HttpWebResponse res = (HttpWebResponse)TwitterAPI.SearchUsers(q, count, page).WebRequest.GetResponse())
			using(Stream stream = res.GetResponseStream()){
				string xmlString;
				using(StreamReader reader = new StreamReader(stream, Encoding.UTF8)){
					xmlString = reader.ReadToEnd();
				}
				System.Windows.MessageBox.Show(xmlString);
			}
			return new Collection<User>();
		}
	}
}